# Workflow

```bash
helm repo add kubernetes-dashboard https://kubernetes.github.io/dashboard/
helm template --release-name k6 -n kube-dashboard kubernetes-dashboard/kubernetes-dashboard -f values.yaml > application.yml
```

# Apply the changes:

```bash
kubectl apply -f application.yml -n kubernetes-dashboard
```

# Get token

```
kubectl -n kubernetes-dashboard get secret $(kubectl -n kube-dashboard get sa/admin-user -o jsonpath="{.secrets[0].name}") -o go-template="{{.data.token | base64decode}}"
```
