# MetalLB

## Background

MetalLB exposes services to the outside world.


## Deployment

To update manifests:

```
curl -O https://raw.githubusercontent.com/metallb/metallb-operator/v0.13.11/bin/metallb-operator.yaml
kubectl apply -f metallb-operator.yaml
kubectl apply -f application.yml
```

Set up BGP secrets:

```
kubectl delete secret -n metallb-system mikrotik-router
 kubectl create secret -n metallb-system generic mikrotik-router --type=kubernetes.io/basic-auth --from-literal=password=...
```

Eventually the external IP should show up here:

```
kubectl get svc -n traefik
```
